Loading...
Searching...
No Matches
DecisionTree.h File Reference

Decision Tree for use in DiscreteFactors. More...

Go to the source code of this file.

## Classes

class | gtsam::DecisionTree< L, Y >
| a decision tree is a function from assignments to values. More...
struct | gtsam::DecisionTree< L, Y >::Node
| ---------------------— Node base class ------------------------— More...
struct | gtsam::traits< DecisionTree< L, Y > >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<typename L, typename Y>
DecisionTree< L, Y > | gtsam::apply (const DecisionTree< L, Y > &f, const typename DecisionTree< L, Y >::Unary &op)
| free versions of apply
template<typename L, typename Y>
DecisionTree< L, Y > | gtsam::apply (const DecisionTree< L, Y > &f, const typename DecisionTree< L, Y >::UnaryAssignment &op)
| Apply unary operator op with Assignment to DecisionTree f.
template<typename L, typename Y>
DecisionTree< L, Y > | gtsam::apply (const DecisionTree< L, Y > &f, const DecisionTree< L, Y > &g, const typename DecisionTree< L, Y >::Binary &op)
| Apply binary operator op to DecisionTree f.
template<typename L, typename T1, typename T2>
std::pair< DecisionTree< L, T1 >, DecisionTree< L, T2 > > | gtsam::unzip (const DecisionTree< L, std::pair< T1, T2 > > &input)
| unzip a DecisionTree with std::pair values.

## Detailed Description

Decision Tree for use in DiscreteFactors.

Author
  Frank Dellaert
  Can Erdogan

Date
  Jan 30, 2012